/* set_get.h -- Internal set/get definitions
 * Copyright (C) 2003 Gabriel Bouvigne / Lame project
 */

#pragma once

#include "lame.h"

/* select psychoacoustic model */

/* manage short blocks */
int lame_set_short_threshold(lame_global_flags&, float, float);
int lame_set_short_threshold_lrm(lame_global_flags&, float);
float lame_get_short_threshold_lrm(const lame_global_flags&);
int lame_set_short_threshold_s(lame_global_flags&, float);
float lame_get_short_threshold_s(const lame_global_flags&);

int lame_set_maskingadjust(lame_global_flags&, float);
float lame_get_maskingadjust(const lame_global_flags&);

int lame_set_maskingadjust_short(lame_global_flags&, float);
float lame_get_maskingadjust_short(const lame_global_flags&);

/* select ATH formula 4 shape */
int lame_set_ATHcurve(lame_global_flags&, float);
float lame_get_ATHcurve(const lame_global_flags&);

int lame_set_preset_notune(lame_global_flags&, int);

/* substep shaping method */
int lame_set_substep(lame_global_flags&, int);
int lame_get_substep(const lame_global_flags&);

/* scalefactors scale */
int lame_set_sfscale(lame_global_flags&, int);
int lame_get_sfscale(const lame_global_flags&);

/* subblock gain */
int lame_set_subblock_gain(lame_global_flags&, int);
int lame_get_subblock_gain(const lame_global_flags&);

/*presets*/
int apply_preset(lame_global_flags&, int preset, int enforce);

void lame_set_tune(lame_t, float); /* FOR INTERNAL USE ONLY */
void lame_set_msfix(lame_t gfp, double msfix);
